pcl::poisson::Square Class Reference

`#include <pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h>`

## Public Types

enum | { CORNERS =4, EDGES =4, NEIGHBORS =4 }

## Static Public Member Functions

static int | CornerIndex (int x, int y)
static int | AntipodalCornerIndex (int idx)
static void | FactorCornerIndex (int idx, int &x, int &y)
static int | EdgeIndex (int orientation, int i)
static void | FactorEdgeIndex (int idx, int &orientation, int &i)
static int | ReflectCornerIndex (int idx, int edgeIndex)
static int | ReflectEdgeIndex (int idx, int edgeIndex)
static void | EdgeCorners (int idx, int &c1, int &c2)

## Detailed Description

Definition at line 41 of file marching_cubes_poisson.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
CORNERS |
EDGES |
NEIGHBORS |

Definition at line 44 of file marching_cubes_poisson.h.

## Member Function Documentation

static int pcl::poisson::Square::AntipodalCornerIndex | ( | int | idx | ) |

static

static int pcl::poisson::Square::CornerIndex | ( | int | x,
|  | int | y
| ) |  |

static

static void pcl::poisson::Square::EdgeCorners | ( | int | idx,
|  | int & | c1,
|  | int & | c2
| ) |  |

static

static int pcl::poisson::Square::EdgeIndex | ( | int | orientation,
|  | int | i
| ) |  |

static

static void pcl::poisson::Square::FactorCornerIndex | ( | int | idx,
|  | int & | x,
|  | int & | y
| ) |  |

static

static void pcl::poisson::Square::FactorEdgeIndex | ( | int | idx,
|  | int & | orientation,
|  | int & | i
| ) |  |

static

static int pcl::poisson::Square::ReflectCornerIndex | ( | int | idx,
|  | int | edgeIndex
| ) |  |

static

static int pcl::poisson::Square::ReflectEdgeIndex | ( | int | idx,
|  | int | edgeIndex
| ) |  |

static

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h